package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationSalesProductD;
import com.artfess.cqlt.model.QfOperationSalesProductM;
import com.artfess.cqlt.model.SysSubjectTarget;
import com.artfess.cqlt.vo.FaTargetRespVo;
import com.artfess.cqlt.vo.OpTargetRespVo;
import com.artfess.cqlt.vo.OpReportReqVo;

import java.util.List;

/**
 * 运营--产品销售数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-17
 */
public interface QfOperationSalesProductMManager extends BaseManager<QfOperationSalesProductM> {

    boolean insertInfo(QfOperationSalesProductM t);

    boolean updateInfo(QfOperationSalesProductM t);

    boolean updateStatus(QfOperationSalesProductM t);

    boolean importExcel(List<QfOperationSalesProductD> list, String mainId);

    List<OpTargetRespVo> dataAnalysis(OpReportReqVo t, SysSubjectTarget target);
}
